Ubuntu

Hardware device disappearing from Sound Preferences on ASUS 0x104381b3

Reported by Jane Atkinson on 2009-10-31
46
This bug affects 8 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Daniel T Chen
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Lucid
Low
Steve Conklin
Maverick
Undecided
Unassigned

Bug Description

Tried to configure audio using "Sound Preferences". The driver initially showed in the window but then it disappeared. Rebooting is needed to have it reappear. But it disappears again as soon as I try to configure it.

I ran the following command *after* the driver had disappeared from the Sound Prefs window. Evidently, Alsa still knows it's there.

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: VT82xx [HDA VIA VT82xx], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

As far as I can tell, all the kernel modules are loaded.

Using the 9.10 release - fresh install, no upgrade. Have had no problems with earlier releases (did not use 8.10 or 9.04).

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer', '/dev/sequencer2'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xcfffc000 irq 17'
   Mixer name : 'Analog Devices AD1986A'
   Components : 'HDA:11d41986,1043818f,00100500'
   Controls : 37
   Simple ctrls : 21
CheckboxCommand: alsa_record_playback
CheckboxDescription:
 Open the volume control application by right-clicking on the speaker icon in the panel and selecting "Sound Preferences". Select the "Input" tab and choose any alternate (non-default) device(s). Select the "Output" tab and choose any alternate (non-default) device(s). When you are done, click the Test button, then speak into the microphone. After a few seconds, your speech will be played back to you.

 Did you hear your speech played back?
CheckboxTest: alsa_record_playback_alternates
Date: Sat Oct 31 15:06:56 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_NZ.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: alsa-driver
Tags: checkbox-bug
Uname: Linux 2.6.31-14-generic i686
XsessionErrors:
 (gnome-settings-daemon:1625): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1625): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1710): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1681): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xcfffc000 irq 17'
   Mixer name : 'Analog Devices AD1986A'
   Components : 'HDA:11d41986,1043818f,00100500'
   Controls : 37
   Simple ctrls : 21
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANG=en_NZ.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Tags: lucid
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/25/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS P5VD2-VM ACPI BIOS Revision 1302
dmi.board.name: P5VD2-VM
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: 1111
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSP5VD2-VMACPIBIOSRevision1302:bd03/25/2008:svnSystemmanufacturer:pnSystemProductName:pvr:rvnASUSTeKComputerINC.:rnP5VD2-VM:rvr1.XX:cvnChassisManufacture:ct3:cvr1111:
dmi.product.name: System Product Name
dmi.sys.vendor: System manufacturer

Jane Atkinson (irihapeti) wrote :

Do you have the sl-modem-daemon package installed?

@Daniel T Chen:
No. Nor do I have any other softmodem packages such as hsfmodem, which sometimes include Alsa drivers.

A little experimenting has shown that I can get the driver to reload just by logging out and in again. If I do that, I get the "drums" just prior to login, but not the post-login tune. So far, it seems like the driver stays loaded until I try to change settings with the Sound preferences applet.

OK, I have followed the instructions, and here is the log file.

Download full text (4.6 KiB)

Looks like some other application is grabbing /dev/snd/* while PA is, too:

D: alsa-source.c: snd_pcm_mmap_commit: Broken pipe
D: alsa-source.c: snd_pcm_mmap_commit: Buffer overrun!
I: (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_PREPARE failed
I: (alsa-lib)pcm.c: cannot recovery from overrun, prepare failed:
Device or resource busy
E: alsa-source.c: snd_pcm_mmap_commit: Device or resource busy
I: module.c: Unloading "module-alsa-card" (index: #4).
D: module-always-sink.c: Autoloading null-sink as no other sinks detected.
I: sink.c: Created sink 1 "auto_null" with sample spec s16le 2ch
44100Hz and channel map front-left,front-right
I: sink.c: device.description = "Dummy Output"
I: sink.c: device.class = "abstract"
I: sink.c: device.icon_name = "audio-card"
I: source.c: Created source 2 "auto_null.monitor" with sample spec
s16le 2ch 44100Hz and channel map front-left,front-right
I: source.c: device.description = "Monitor of Dummy Output"
I: source.c: device.class = "monitor"
I: source.c: device.icon_name = "audio-input-microphone"
D: module-null-sink.c: Thread starting up

So, what's doing that? What'

On Sat, Oct 31, 2009 at 1:09 AM, Irihapeti <email address hidden> wrote:
> OK, I have followed the instructions, and here is the log file.
>
> ** Attachment added: "pulseverbose.log"
>   http://launchpadlibrarian.net/34746262/pulseverbose.log
>
> --
> Hardware device disappearing from Sound Preferences
> https://bugs.launchpad.net/bugs/465942
> You received this bug notification because you are a member of Ubuntu
> Audio Team, which is subscribed to alsa-driver in ubuntu.
>
> Status in “alsa-driver” package in Ubuntu: New
>
> Bug description:
> Tried to configure audio using "Sound Preferences". The driver initially showed in the window but then it disappeared. Rebooting is needed to have it reappear. But it disappears again as soon as I try to configure it.
>
> I ran the following command *after* the driver had disappeared from the Sound Prefs window. Evidently, Alsa still knows it's there.
>
> $ aplay -l
> **** List of PLAYBACK Hardware Devices ****
> card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
>  Subdevices: 1/1
>  Subdevice #0: subdevice #0
> card 0: VT82xx [HDA VIA VT82xx], device 1: AD198x Digital [AD198x Digital]
>  Subdevices: 1/1
>  Subdevice #0: subdevice #0
>
> As far as I can tell, all the kernel modules are loaded.
>
> Using the 9.10 release - fresh install, no upgrade. Have had no problems with earlier releases (did not use 8.10 or 9.04).
>
> ProblemType: Bug
> Architecture: i386
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer', '/dev/sequencer2'] failed with exit code 1:
> Card0.Amixer.info:
>  Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xcfffc000 irq 17'
>   Mixer name   : 'Analog Devices AD1986A'
>   Components   : 'HD...

Read more...

Daniel T Chen (crimsun) wrote :

On Sat, Oct 31, 2009 at 1:52 AM, Daniel Chen <email address hidden> wrote:
> Looks like some other application is grabbing /dev/snd/* while PA is, too:
>
> D: alsa-source.c: snd_pcm_mmap_commit: Broken pipe
> D: alsa-source.c: snd_pcm_mmap_commit: Buffer overrun!
> I: (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_PREPARE failed
> I: (alsa-lib)pcm.c: cannot recovery from overrun, prepare failed:
> Device or resource busy
> E: alsa-source.c: snd_pcm_mmap_commit: Device or resource busy
> I: module.c: Unloading "module-alsa-card" (index: #4).
> D: module-always-sink.c: Autoloading null-sink as no other sinks detected.
> I: sink.c: Created sink 1 "auto_null" with sample spec s16le 2ch
> 44100Hz and channel map front-left,front-right
> I: sink.c:     device.description = "Dummy Output"
> I: sink.c:     device.class = "abstract"
> I: sink.c:     device.icon_name = "audio-card"
> I: source.c: Created source 2 "auto_null.monitor" with sample spec
> s16le 2ch 44100Hz and channel map front-left,front-right
> I: source.c:     device.description = "Monitor of Dummy Output"
> I: source.c:     device.class = "monitor"
> I: source.c:     device.icon_name = "audio-input-microphone"
> D: module-null-sink.c: Thread starting up
>
> So, what's doing that? What'

What's the output from: sudo fuser -v /dev/dsp* /dev/snd/*
when the sound hardware disappears?

When the sound hardware has disappeared, there is no output from that command.

Here's something interesting:

This is the output just after I've logged in:
                     USER PID ACCESS COMMAND
/dev/snd/controlC0: ja 1659 F.... pulseaudio

When I open the sound preferences applet:
                     USER PID ACCESS COMMAND
/dev/snd/controlC0: ja 1659 F.... pulseaudio
/dev/snd/pcmC0D0c: ja 1659 F...m pulseaudio

When I close the applet, the output to the command goes back to the first one.

I've installed some non-free codecs/plugins (for mp3 and aac files) and I've noticed that the sound hardware is slower to disappear since I did that. (Which is why I can close the applet before the sound disappears.) But it does eventually if I leave the applet open - takes a minute or two.

Jane Atkinson (irihapeti) wrote :

Some further info:

I thought I'd test out the Sound recorder program.

Almost immediately, I got these two error messages:

    Disconnected: Entity killed

    pa_stream_cork() failed: Entity killed

then, multiple messages:

    Disconnected: Entity killed

I counted 50 of them, then decided to force quit, as it seemed like they'd go on forever.

I reloaded the sound driver using the command:

   sudo alsa force-reload

and tried Sound recorder again. Exactly the same thing happened.

Jane Atkinson (irihapeti) wrote :

Sorry, I forgot: here is the verbose log file.

Download full text (3.7 KiB)

Can you please help me !!!... I have subscribed to this site where they send you these "bug lists" every day, and I cant find out how to stop them !!!... I get more than 500 e-mails a DAY and I just can't keep up .

Dawn Kershaw

--- On Tue, 11/3/09, Irihapeti <email address hidden> wrote:

From: Irihapeti <email address hidden>
Subject: [Bug 465942] Re: Hardware device disappearing from Sound Preferences
To: <email address hidden>
Date: Tuesday, November 3, 2009, 5:50 PM

Sorry, I forgot: here is the verbose log file.

** Attachment added: "log file from Sound Recorder error"
   http://launchpadlibrarian.net/35066992/pulseverboseSR.log

--
Hardware device disappearing from Sound Preferences
https://bugs.launchpad.net/bugs/465942
You received this bug notification because you are subscribed to alsa-
driver in ubuntu.

Status in “alsa-driver” package in Ubuntu: New

Bug description:
Tried to configure audio using "Sound Preferences". The driver initially showed in the window but then it disappeared. Rebooting is needed to have it reappear. But it disappears again as soon as I try to configure it.

I ran the following command *after* the driver had disappeared from the Sound Prefs window. Evidently, Alsa still knows it's there.

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: VT82xx [HDA VIA VT82xx], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

As far as I can tell, all the kernel modules are loaded.

Using the 9.10 release - fresh install, no upgrade. Have had no problems with earlier releases (did not use 8.10 or 9.04).

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer', '/dev/sequencer2'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xcfffc000 irq 17'
   Mixer name    : 'Analog Devices AD1986A'
   Components    : 'HDA:11d41986,1043818f,00100500'
   Controls      : 37
   Simple ctrls  : 21
CheckboxCommand: alsa_record_playback
CheckboxDescription:
 Open the volume control application by right-clicking on the speaker icon in the panel and selecting "Sound Preferences".  Select the "Input" tab and choose any alternate (non-default) device(s).  Select the "Output" tab and choose any alternate (non-default) device(s).  When you are done, click the Test button, then speak into the microphone. After a few seconds, your speech will be played back to you.

 Did you hear your speech played back?
CheckboxTest: alsa_record_playback_alternates
Date: Sat Oct 31 15:06:56 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron...

Read more...

Hi

I have also hardware device dissapearing in sound peferences. I have no sound if it dissapears.
Sometimes it is just my microphone sound level that goes down (than I have to go to sound preferences and put the sound level up)

(logs after the crash)

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: SB [HDA ATI SB], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: SB [HDA ATI SB], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: HDMI [HDA ATI HDMI], device 3: ATI HDMI [ATI HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

jerzyo (jerzyo) wrote :

After:

echo autospawn = no >> ~/.pulse/client.conf
killall pulseaudio
pulseaudio -vvvv > ~/pulseverbose.log 2>&1

The device (internal audio) reappeared

jerzyo (jerzyo) wrote :

I attach the pulseverbose.log In that case the microphone just tuned dow and what I tried to make it louder in sound preferences, it was going down immediately

Brad Figg (brad-figg) wrote :

Hi Irihapeti,

Please, if you are still having issues, test with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p alsa-base 465942

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

Please let us know your results.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage needs-required-logs needs-test-current-image
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Jane Atkinson (irihapeti) wrote :

I'm no longer running Karmic on the computer in question. I have a Lucid installation that I can only boot using the Karmic kernel (see bug 499399). Is output from this setup relevant?

I haven't checked recently, but I have an idea that the problem is still occurring.

Daniel T Chen (crimsun) wrote :

Try the latest daily live cd: http://cdimage.ubuntu.com/daily-live/current/

Jane Atkinson (irihapeti) wrote :

@Daniel T Chen

The problem is still occurring in the Lucid install with Karmic kernel.

Unfortunately, I can't boot the computer with the latest daily live CD (I've just tested this), so there's probably not much I can do that's of use.

Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: patricia 2131 f...m chrome
 /dev/snd/timer: patricia 2131 F.... chrome
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xfebfc000 irq 17'
   Mixer name : 'Analog Devices AD1984A'
   Components : 'HDA:11d4194a,103c3030,00100400'
   Controls : 11
   Simple ctrls : 7
CheckboxSubmission: e59924015dfa38a25bf9f152b26809bc
CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: wl
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
Uname: Linux 2.6.31-20-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:1580): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1580): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1612): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1623): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Changed in alsa-driver (Ubuntu):
status: Incomplete → New
tags: added: apport-collected

I can now boot Lucid properly. Are there still tests that you people would like me to do?

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

The problem is still occurring with 2.6.32-21 kernel. As soon as I try to adjust the input, for example microphone level, by dragging the slider, the device disappears and from then on only "Dummy" appears in the sound applet. I've done the apport-collect procedure as requested.

Just tested with the latest mainline kernel (2.6.34-020634rc4-generic dated Tue Apr 13 21:49:57 UTC 2010) The problem doesn't occur with this kernel. I can drag the slider and reset other options and the device remains active.

Ric Z (terecuerdoricardo) wrote :

The exact same bug is occurring to me - down to the weird Sound Recorder's behaviour, with Ubuntu 10.04
I tried out the 2.6.34-020634rc4-generic kernel, and though the sliders could be dragged - I still could not record sound.
I am back to the .6.32-22 kernel - since the nvidia driver is not compatible with the newest kernel.
My sound device is [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog], just as Irihapeti's.
I have done the apport-collect -p alsa-base 465942, I hope correctly.
THANKS

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/pcmC0D2c', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xfebfc000 irq 17'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,18491e01,00100001'
   Controls : 31
   Simple ctrls : 17
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
NonfreeKernelModules: nvidia
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANG=fr_FR.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Tags: lucid
Uname: Linux 2.6.32-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/29/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: L3.19
dmi.board.name: 775Dual-VSTA
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrL3.19:bd04/29/2009:svnToBeFilledByO.E.M.:pn775Dual-VSTA:pvrToBeFilledByO.E.M.:rvn:rn775Dual-VSTA:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: 775Dual-VSTA
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Same problem here with my motherboard (Asrock 775 Dual-VSTA). As soon as I try to record or adjust the input level of the microphone, the device disappears from the sound applet. I have to log out from my session to get the sound back. I'm using Lucid 32bit and I had the same problem with Karmic (but not with Jaunty where my microphone worked just fine). Aside from the microphone problem, the sound output works just fine.

bofphile (bofphile) wrote :

Just to clarify what I wrote, logging out is not enough to get back the sound (although I can hear the logging sound), I have to reboot.

Daniel T Chen (crimsun) wrote :

Can everyone please try adding the LPIB quirk?

options snd-hda-intel position_fix=1

should appear in /etc/modprobe.d/alsa-base.conf. Please remember to combine all options snd-hda-intel lines into one, and reboot.

Jane Atkinson (irihapeti) wrote :

The fix allows me to adjust microphone levels and to record something.

Irihapeti, thanks. What is the output from "lspci -nv|grep -A1 0403"?

On May 29, 2010 5:41 PM, "Irihapeti" <email address hidden> wrote:

The fix allows me to adjust microphone levels and to record something.

--
Hardware device disappearing from Sound Preferences
https://bugs.launchpad.net/bugs/465942
You ...

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.

Architecture: i386
ArecordDevices:
**** List of CAPTURE Hardware Devices ****
card 0: VT82xx [HDA ...
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp',
'/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0',
'/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p',
'/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer']
failed with exit code 1:

Card0.Amixer.info:
Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xcfffc000 irq 17'
Mixer name : 'Analog...

DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcE...

Daniel:

Output is:

80:01.0 0403: 1106:3288 (rev 10)
 Subsystem: 1043:81b3

Daniel T Chen (crimsun) wrote :

Patch submitted to stable@ and upstream

Changed in alsa-driver (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
importance: Undecided → Low
status: New → In Progress
summary: - Hardware device disappearing from Sound Preferences
+ Hardware device disappearing from Sound Preferences on ASUS 0x104381b3
bofphile (bofphile) wrote :

The fix works for me too but I hear some static noise when I play the recorded sound. I've already tried to change the level input but it didn't help.

Output from : lspci -nv|grep -A1 0403

80:01.0 0403: 1106:3288 (rev 10)
 Subsystem: 1849:0888

Daniel T Chen (crimsun) on 2010-05-31
Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
madbiologist (me-again) wrote :

The abovementioned patch has been included upstream in kernel 2.6.35-rc2. From the changelog:

commit dd37f8e8659bc617c3f2a84e007a4824ccdac458
Author: Daniel T Chen
Date: Sun May 30 01:17:03 2010 -0400

    ALSA: hda: Use LPIB for an ASUS device

    BugLink: https://launchpad.net/bugs/465942

    Symptom: On the reporter's ASUS device, using PulseAudio in Ubuntu 10.04
    LTS results in the PA daemon crashing shortly after attempting to select
    capture or to configure the audio hardware profile.

    Test case: Using Ubuntu 10.04 LTS (Linux 2.6.32.12), Linux 2.6.33, or
    Linux 2.6.34, adjust the HDA device's capture volume with PulseAudio.

    Resolution: add SSID for this machine to the position_fix quirk table,
    explicitly specifying the LPIB method.

    Reported-and-Tested-By: Irihapeti
    Cc: <email address hidden>
    Signed-off-by: Daniel T Chen
    Signed-off-by: Takashi Iwai

Mike Rans (rans) wrote :

I have a similar problem with a device disappearing - in my case on closing an application like Rhythmbox that was using it.

I have in .asoundrc:

 # Encode AC3 -> Directly on hardware
 pcm.Filter_A52Encode {
     type a52
     bitrate 448
     card NVidia
 }

 # Rate Converter to 48kHz, needed for Pulseaudio it seems
 pcm.Filter_RateConvert {
     type rate slave {
        pcm "Filter_A52Encode" rate 48000
     }
 }

and in default.pa:

 load-module module-alsa-sink device=Filter_RateConvert rate=48000 channels=6 tsched=0 sink_properties=device.description=SPDIF sink_name=SPDIF

    Music plays through AC3 via SPDIF through Pulseaudio and Alsa, but when I close the application (eg. Rhythmbox music player), the SPDIF (Filter_RateConvert) output "disappears".

    I have attached a back trace: pulseaudiooutput_rateconverter.txt

    I think it's here where the Filter_RateConvert sink gets unloaded for some reason:

     I: client.c: Freed 1 "Rhythmbox"
     I: protocol-native.c: Connection died.
     I: module.c: Unloading "module-alsa-sink" (index: #4).
     D: module-always-sink.c: Autoloading null-sink as no other sinks detected.

    Is the sink being wrongly unloaded? Or is it correctly unloaded on Rhythmbox exit but wrong that it is not then reloaded afterwards?

madbiologist (me-again) wrote :

The patch mentioned in comment 60 is now upstream in kernel 2.6.32.16.

Steve Conklin (sconklin) wrote :

SRU Justification

Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch.

The 2.6.32.21 upstream stable patch set is now available and contains fixes for this problem. It should be included in the Ubuntu kernel as well.

Related commits in the Lucid repo are:

8ad8264 ALSA: hda: Use LPIB for an ASUS device

Changed in alsa-driver (Ubuntu):
milestone: none → lucid-updates
Steve Conklin (sconklin) on 2010-08-31
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
assignee: nobody → Steve Conklin (sconklin)
importance: Undecided → Low
milestone: none → lucid-updates

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Jane Atkinson (irihapeti) wrote :

Installed the kernel update from lucid-proposed, and commented out the line
options snd-hda-intel position_fix=1
in /etc/modprobe.d/alsa-base.conf

Then rebooted.

The hardware disappeared the first time I tried adjusting microphone levels.

After doing "alsa force-reload" I tried again. Several times the driver entry in the list flickered/"jumped" and reset the sound levels back to where they were. (Not much good if I were doing serious sound work.) Eventually, the driver entry disappeared altogether.

Reloaded again. The same behaviour persists, though I haven't managed to make the driver disappear this time. It looks from the behaviour of the indicator app in the panel that the driver is intermittently unloading for about a second before reloading again.

For the moment, I'm going to revert to the previous kernel version and alsa-base.conf settings.

This is updating a set of bugs, so things said may or may not be exactly
matching the bug report itself.

There is a set of bug reports which, reading feedback from reporters, do not
seem to be fixed by the patches which were thought to fix them. All of these
patches are part of some upstream stable release, so if a real fix is found, it
should be submitted there as well.
Quickly reading over the reports they all seem to be positional quirk fixes in
ALSA. In one of the reports David had a quick look and had the suspicion that
the code path of activating the fix may not be hit at all.
So while not fixing the bug all patches are not causing things to regress. Due
to automatic processes, these bugs will get changed by a bot to fixed when the
proposed kernel moves to updates and the bugs need to be re-opened then.

David, Daniel, maybe you can have a look at the test feedback and find out why
the quirks have no effect?

Thanks,
Stefan

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/465942
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/587546
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/580749
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/551949
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/583983

Stefan Bader (smb) on 2010-09-24
tags: added: verification-failed
removed: verification-needed
David Henningsson (diwic) wrote :

I have now made a small dkms package to help you verify if my theory is
correct. The dkms version disables via_dmapos_patch in all cases. Please
try the following:

* Make sure position_fix=1 is NOT present in /etc/modprobe.d/alsa-base.conf
* Make sure you don't have any alsa driver overrides installed (e g
linux-backports-modules, or the daily snapshot from ubuntu-audio-dev ppa)
* Download and install
http://people.canonical.com/~diwic/temp/alsa-intel-hda-diwic-via-dmapos-dkms_1.0.23.diwic_all.deb
* Reboot
* Test whether the error is gone or not, and report back here.

Thanks!

--
David Henningsson, Canonical Ltd.
http://launchpad.net/~diwic

Launchpad Janitor (janitor) wrote :
Download full text (43.7 KiB)

This bug was fixed in the package linux - 2.6.32-25.44

---------------
linux (2.6.32-25.44) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: (no-up) Modularize vesafb -- fix initialization
    - LP: #611471

  [ Stefan Bader ]

  * Revert "SAUCE: sync before umount to reduce time taken by ext4 umount"
    - LP: #543617, #585092

  [ Steve Conklin ]

  * Revert "SAUCE: tulip: Let dmfe handle davicom on non-sparc"
    - LP: #607824

  [ Tim Gardner ]

  * [Config] Added ums-cypress to udeb
    - LP: #576066

  [ Upstream Kernel Changes ]

  * Revert "PCI quirk: Disable MSI on VIA K8T890 systems"
    - LP: #607824
  * Revert "PCI quirks: disable msi on AMD rs4xx internal gfx bridges"
    - LP: #607824
  * Revert "(pre-stable) Input: psmouse - reset all types of mice before
    reconnecting"
    - LP: #607824
  * Revert "jbd: jbd-debug and jbd2-debug should be writable"
    - LP: #607824
  * Revert "ext4: Make fsync sync new parent directories in no-journal
    mode"
    - LP: #615548
  * Revert "ext4: Fix compat EXT4_IOC_ADD_GROUP"
    - LP: #615548
  * Revert "ext4: Conditionally define compat ioctl numbers"
    - LP: #615548
  * Revert "ext4: restart ext4_ext_remove_space() after transaction
    restart"
    - LP: #615548
  * Revert "ext4: Clear the EXT4_EOFBLOCKS_FL flag only when warranted"
    - LP: #615548
  * Revert "ext4: Avoid crashing on NULL ptr dereference on a filesystem
    error"
    - LP: #615548
  * Revert "ext4: Use bitops to read/modify i_flags in struct
    ext4_inode_info"
    - LP: #615548
  * Revert "ext4: Show journal_checksum option"
    - LP: #615548
  * Revert "ext4: check for a good block group before loading buddy pages"
    - LP: #615548
  * Revert "ext4: Prevent creation of files larger than RLIMIT_FSIZE using
    fallocate"
    - LP: #615548
  * Revert "ext4: Remove extraneous newlines in ext4_msg() calls"
    - LP: #615548
  * Revert "ext4: init statistics after journal recovery"
    - LP: #615548
  * Revert "ext4: clean up inode bitmaps manipulation in ext4_free_inode"
    - LP: #615548
  * Revert "ext4: Do not zero out uninitialized extents beyond i_size"
    - LP: #615548
  * Revert "ext4: don't scan/accumulate more pages than mballoc will
    allocate"
    - LP: #615548
  * Revert "ext4: stop issuing discards if not supported by device"
    - LP: #615548
  * Revert "ext4: check s_log_groups_per_flex in online resize code"
    - LP: #615548
  * Revert "ext4: fix quota accounting in case of fallocate"
    - LP: #615548
  * Revert "ext4: allow defrag (EXT4_IOC_MOVE_EXT) in 32bit compat mode"
    - LP: #615548
  * Revert "ext4: rename ext4_mb_release_desc() to ext4_mb_unload_buddy()"
    - LP: #615548
  * Revert "ext4: Remove unnecessary call to ext4_get_group_desc() in
    mballoc"
    - LP: #615548
  * Revert "ext4: fix memory leaks in error path handling of
    ext4_ext_zeroout()"
    - LP: #615548
  * Revert "ext4: check missed return value in ext4_sync_file()"
    - LP: #615548
  * Revert "ext4: Issue the discard operation *before* releasing the blocks
    to be reused"
    - LP: #615548
  * Revert "ext4: Fix buffer head leaks after calls to
    ext4_get_inode_loc()"
    - LP: #615548
  * Revert "ex...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I released the new kernel to -updates, since these v-failed bugs are no regressions. I'm reopening those verification-failed bugs.

Changed in linux (Ubuntu Lucid):
status: Fix Released → Triaged
Jane Atkinson (irihapeti) wrote :

@Dave Henningsson

Installed package as per your instructions. Error has gone - I can adjust microphone volume level.

Irihapeti

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by Thursday, November 11, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Jane Atkinson (irihapeti) wrote :

Verification done on Lucid:

*Installed -26 kernel from -proposed
*Removed Dave Henningsson's dkms package
*Ensured that position_fix=1 NOT present in /etc/modprobe.d/alsa-base.conf
*Rebooted and tested

The problem appears to be solved. Thank you.

Irihapeti

tags: added: verification-done
removed: verification-needed
Brad Figg (brad-figg) on 2010-11-15
tags: removed: needs-required-logs needs-test-current-image verification-done
Steve Conklin (sconklin) wrote :

There has been some confusion regarding this bug, with verification and a probable regression on some platforms. The bug was originally marked as verification-failed after it was released for lucid, and should have been reverted based upon that. Subsequently, there were calls for testing again, and verification was marked as done for lucid. It's probable that this fix applies to one platform but causes regression on another.

As for Maverick, the fix was never released, but was in the latest -proposed kernel. The bug has never received verification for Maverick.

At this point, the safest thing to do is to revert the change and remove it from Lucid and Maverick. We will re-examine the fix and make sure that adequate testing is able to be performed next time, or see whether a different fix is appropriate.

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Incomplete
Changed in linux (Ubuntu Maverick):
status: Fix Committed → Incomplete
tags: added: needs-required-logs
tags: added: stable-reverted-lucid stable-reverted-maverick
madbiologist (me-again) wrote :

Steve - let me get this straight - you are removing a verified fix from Lucid (see comment #82), an LTS release, because it never received verification for Maverick?

Andy Whitcroft (apw) on 2011-02-10
Changed in linux (Ubuntu):
status: Invalid → Fix Released
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
uwe jahn (uwejahntn) wrote :

I'm have ubuntu 10.10 of a Dell optiplex GX 1 and a Sondchip cristal WDM audio codec on board. Ubuntu can the chip no find.waht can me make ? I'm happy when you me help. <email address hidden> sorry my english is not so good me is a german.

David Henningsson (diwic) wrote :

@uwe jahn, since your hardware is different, please file a separate bug using this terminal command:
"ubuntu-bug audio"

Steve Conklin (sconklin) wrote :

This patch may be re-applied for a future release if requested.

In order for this patch to be reapplied it needs to be proposed again through the normal SRU process (kernel mailing list and proper acks). Patches which are reverted due to lack of verification are not automatically reapplied since it is the responsibility of the submitter to insure that testing resources are in place and ready to test the fix in an upcoming -proposed kernel.

Thanks

madbiologist (me-again) wrote :

Steve - Sure, if you are talking about Maverick. The main question is "Are you removing this patch from Lucid (where it was verified) and if so, why?"

David Henningsson (diwic) wrote :

To answer madbiologist's question, from what I've heard, the patch was found to make things worse on another machine. Unfortunately I never saw an alsa-info or anything similar on that machine, so I can't do more about it.

madbiologist (me-again) wrote :

David - Thanks, that clarifies things a lot. I would agree that information is vital. Thanks for all your work on this and other bugs.

Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Maverick):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers